Package pigeons

# Class Position

java.lang.Object
pigeons.Position

    public class Position
    extends java.lang.Object

Classe representant un position

Since:
  1.0

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`private int` | `x` | CoordonnÃ©e sur l'axe des abscisses
`private int` | `y` | CoodonnÃ©e sur l'axe des ordonÃ©es

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Position()` | Constructeur de l'objet representant une position Position fixÃ© Ã l'origine (0 ; 0)
`Position​(int x, int y)` | Constructeur de l'objet representant une position

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`int` | `distance​(Position position)` | Calculer la distance entre 2 positions
`int` | `getX()` | Obtenir la position sur l'axe des abscisses
`int` | `getY()` | Obtenir la position sur l'axe des ordonÃ©es
`void` | `moveTo​(int x, int y)` | DÃ©placer la position
`void` | `moveTo​(Position toMove)` | DÃ©placer la position
`void` | `setX​(int x)` | DÃ©finir une coordonÃ©e d'abscisse
`void` | `setY​(int y)` | DÃ©finir une coordonÃ©e d'ordonÃ©e

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### x

private int x
CoordonnÃ©e sur l'axe des abscisses

### y

private int y
CoodonnÃ©e sur l'axe des ordonÃ©es

## Constructor Details

### Position

public Position​(int x, int y)
Constructeur de l'objet representant une position

Parameters:
  `x` - position sur l'abscisse
  `y` - position sur l'ordonÃ©e

### Position

public Position()
Constructeur de l'objet representant une position Position fixÃ© Ã l'origine (0 ; 0)

## Method Details

### distance

public int distance​(Position position)
Calculer la distance entre 2 positions

Parameters:
  `position` - postion distante
Returns:
  distance entre les 2 points

### moveTo

public void moveTo​(int x, int y)
DÃ©placer la position

Parameters:
  `x` - nouvelle position sur l'axe des abscisses
  `y` - nouvelle position sur l'axe des abscisses

### moveTo

public void moveTo​(Position toMove)
DÃ©placer la position

Parameters:
  `toMove` - nouvelle position

### getX

public int getX()
Obtenir la position sur l'axe des abscisses

Returns:
  coordonnÃ©e sur l'abscisses

### setX

public void setX​(int x)
DÃ©finir une coordonÃ©e d'abscisse

Parameters:
  `x` - nouvelle coordonnÃ©e d'abscisse

### getY

public int getY()
Obtenir la position sur l'axe des ordonÃ©es

Returns:
  coordonnÃ©e sur l'ordonnÃ©e

### setY

public void setY​(int y)
DÃ©finir une coordonÃ©e d'ordonÃ©e

Parameters:
  `y` - nouvelle coordonnÃ©e d'ordonÃ©e